Category Archives: Downloaden

Downloaden vanaf Usenet (ook wel eens downloaden uit nieuwsgroepen genoemd) is razendsnel Er zijn hier diverse programma’s beschikbaar, en het ene programma maakt het downloaden je nog makkelijker dan het andere.

Sonarr installeren via de command line Ubuntu

In deze handleiding “Sonarr installeren via de command line Ubuntu” gaan we Sonarr installeren. Ik gebruik Ubuntu maar dit werkt waarschijnlijk ook op andere variante van Lunix.

We gaan de software verversen voor nieuw updates.

sudo apt-get update && sudo apt-get upgrade -y

Om er zeker van te zijn dat je de laatste versie krijgt van Sonarr.

sudo apt-key adv –keyserver hkp://keyserver.ubuntu.com:80 –recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “deb http://download.mono-project.com/repo/debian wheezy main” | sudo tee /etc/apt/sources.list.d/mono-xamarin.list

Installatie mogelijkheid om van uit https te installeren mogelijk maken.

sudo apt-get install apt-transport-https -y

De installatie bron toevoegen voor het programma Sonarr.

sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a /etc/apt/sources.list.d/sonarr.list

Sonarr downloaden en installeren.

sudo apt-get update
sudo apt-get install nzbdrone -y

Nu nog de rechten  goed zetten op de map.

sudo chown -R jegebruikersnaam /opt/NzbDrone

Je bent nu klaar met de installatie van Sonarr.

Sonarr automatisch starten Ubuntu

We gaan een Scriptje aanmaken om Sonarr automatich te starten als Ubuntu wordt gestart.

sudo nano /etc/init.d/nzbdrone

Plak het volgende script hier in en verander alleen de gebruikers naam.

APP_PATH=/opt/NzbDrone

# Gebruikersnaam
RUN_AS=je gebruikers naam

# path to mono bin
DAEMON=$(which mono)

# Locatie om PID file op te slaan.
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script naam
NAME=nzbdrone

# app naam
DESC=NzbDrone

# opstarts args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

############### einde bewerk mij ##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “${NZBDRONE_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use basic functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

Sla dit script bestand op. (ctrl+x en vervolgens Y en dan een enter)

Nu het scriptje uitvoer rechten geven.

sudo chmod +x /etc/init.d/nzbdrone

Scriptje meenemen tijdens opstarten.

sudo update-rc.d nzbdrone defaults

Je bent nu klaar met de installatie van het opstart script.

Je kan het testen met het volgende commando. (computer wordt opnieuw gestart)

sudo reboot

Je hebt Sonarr nu geïnstalleerd op Ubuntu en Sonarr start automatisch op.

208 0

Sonarr een verbinding maken naar SABnzbd Ubuntu

In deze handleiding “Sonarr een verbinding maken naar SABnzbd Ubuntu” Gaan we een verbinding vanuit Sonarr naar SABznbd maken. Sonarr zoekt de aflevering op en SABnzbd download de tv aflevering.

SABnzbd instellen voor tv series

Open SABnzbd in je browser en ga dan in SABnzbd naar Instellen. Ga vervolgens naar het tablad Categorieën.

sabnzbd-tv

Maak dan een nieuw Categorie aan en noem hem tv  en zet de Prioriteit op hoog en druk op Opslaan.

sabnzbd-api-sleutel

Ga naar het tablad Algemeen. Je ziet hier de Api sleutel. Deze is bij iedereen anders. Kopieer deze Api sleutel want die heb je nodig in Sonarr.

Sonarr instellen om verbinding te maken naar SABnzbd

Nu ga je terug naar het programma Sonarr. Het programma SABnzbd heb je verder niet meer nodig. Uiteraard deze wel aan laten staan. Anders wordt er niks gedownload uit de nieuwsgroepen.

sonnar-settings

In Sonarr ga ja naar Settings.

sonarr-download-client

Kies voor Download Client en klik dan op het Plusje.

sonarr-sabznbd

Plak bij API Key de Api sleutel die je net hebt gekopieerd vanuit SABnzbd.

Belangrijk SABnzbd instellingen!

  1. Kijk goed of de SABnzbd poort overeenkomt met jou SABnzbd poort.
  2. Als je moet inloggen op SABnzbd vul hier je login gegevens in.
  3. Category moet tv zijn! anders gaat het niet goed.

Een klein type foutje kan al een probleem zijn.

Klik op Test om te kijken of de verbinding werkt naar SABnzbd. Als de test goed is gegaan klik je op Save. Mocht de test niet goed zijn gegaan dan de instellingen nogmaals controleren.

Je hebt nu vanuit Sonnar verbinding naar SABnzbd gemaakt.

218 0

Sonarr configureren NZBGet

In deze Sonarr configureren NZBGet handleiding. Gaan we Sonarr zo instellen dat je tv series automatich worden gedownload uit de nieuwsgroepen.

Sonarr Media Management

sonnar-settings

Ga naar Settings en dan vervolgens het tablad Media Management.

sonarr-hernoem-episodes

Rename Episode zet je op Yes.

Je vraagt je meschien af waarom hernoemen? Nou dat is heel simpel aardig wat releases zijn encrypted waardoor je vreemde bestands-namen kan krijgen zo als bijvoorbeeld “02ffbc012101519975abb1a24015ef13.x264”. Hierdoor weet je Media spelers zo als Kodi bijvoorbeeld niet welke aflevering dit is. De originele scene naam gebruiken is altijd het beste ook voor ondertiteling zoek programma’s.

Daarom zet hier de juiste instellingen voor scene releases.

Standard Episode Format “{Series.Title}.S{season:00}E{episode:00}.{Episode.Title}.{Quality.Full}-{Release.Group}”

Daily Episode Format “{Series Title} – {Air-Date} – {Episode Title} {Quality Full}”

Series Folder Format “{Series Title}”

Season Folder Format “{Series Title}”

Create empty series folders Yes

Download Propers Yes

Analyse video files Yes

Sonarr Profiles

Nu gaan we naar het tablad Profiles.

sonarr-hd

Klik een sectie aan die je wilt gaan gebruik en pas hem aan naar eigen voorkeur. Bovenstaande is mijn voorkeur. Je kan het beste de taal op Engels laten staan tenzij een tv serie ook beschikbaar is in het Nederlands. Maar de kans is heel erg klein dat een Nederlandse serie wordt gevonden met Sonarr. Door met je muis over die drie streepje te gaan kan je de volgorde aanpassen van wat Sonarr als eerst probeert te downloaden. Bij Cutoff geef je aan wanneer Sonarr moet stoppen met zoeken. Als je klaar bent klik je op Save.

Sonarr Quality

sonarr-kwalietijd

Nu gaan we naar het tablad Quality. Standaard staat de Minuim Quality op 0. Je kan dit het best aanpassen  naar bijvoorbeeld 200 of 300  of zelfs 500 zodat er wat troep gefilterd wordt. Let op als je Animatie series kijkt zet hem niet te laag want dit soort tv series zijn meestal veel kleiner dan een normale tv series.

Let op zo als je kan zien moet je ook hier de Title aanpassen om ze dicht mogelijk bij een scene naam te blijven. Van de Streepjes een puntje maken en 1080p en 720p moet vooraan staan. Dus als voorbeeld “720p.HDTV”.

Sonarr Indexers

newznab-toevoegen

Nu gaan we naar het tablad Indexers. Dit zijn sites waarvan de NZB bestanden automatisch worden gedownload. Hoe meer je er toevoegt, hoe groter de  kans je hebt dat je tv serie wordt gedownload. Zie ook Newznab provider voor een overzicht van Newznab sites. Maak een account aan bij een aantal van deze Newznab providers. Als je dat gedaan hebt klik je op het plusje.

sonarr-newznab-costum

Klik  vervolgens bij Neznab op Costum.

newznab-sonarr

Je krijgt dan bovenstaande te zien. Geef hier de gegevens op van de Newznab site.

neznab-api

De Api key kan je bijna altijd vinden bij je account instellingen op de NewzNab site. Als dat gedaan doe eerst een Test en Save vervolgens. Voeg nu op deze manier al je Newznab sites toe. Je kan het best wat sites overlaten als je ook andere programma’s hebt zo als CouchPotato zodat je de Api hits verdeeld. Mocht je een account hebben bij een betaalde Newznab site dan maakt het vaak niet uit dan heb je genoeg API verzoeken.

Als je al je NewzNab sites hebt toegevoegd moet je ook de volgende onderstaande Newznab providers Actieveren. Hier hoef je geen account voor te maken.

SickBeard index

sonnar-sickbeard-index

URL http://lolo.sickbeard.com

Categories 5030,5040

En de SickBeard Index die kan je toevoegen door een Costum Newznab provider toe te voegen en dan bovenstaande gegevens overnemen.

Womble’s

wombles

Als dit gedaan is scrol je nu naar beneden.

sonarr-options

Je kan het beste bovenstaande instellingen overnemen. Maar zet RSS Sync interval niet lager dan 20. Anders ben je heel snel door je Api verzoeken heen. Maar zet deze ook niet te hoog. Want de kans dat iets wordt verwijdert in de nieuwsgroepen voordat jij het kan downloaden neemt dan ook toe.

Sonarr Connect

newznab-toevoegen

Ga naar het tablad Connect.

Als je een media speler hebt zo als ik. Dan moet je de gegevens hiervan invoeren zodat je libary wordt geupdate met de nieuwste tv series. Heb je dat niet kan je deze volgende twee stappen overslaan. Klik op het Plusje.

sonarr-kodi

Dit zijn mijn instellingen maar die zijn voor iedereen meestal anders. Klik wel voor de zekerheid op Test en vervolgens op Save.

Sonarr MetaData

metadata-sonarr-kodi

Deze optie gebruik je ook alleen als je een media speler heb anders kan je ook dit overslaan. Dit zijn mijn instellingen voor Kodi. Dit zorgt ervoor dat er covers worden gedownload voor Kodi.

Sonarr bestaande series toevoegen

Je kan deze stap overslaan als je helemaal nog geen tv series hebt op je Synology Nas.

sonnar-bestaade-series

Als je al wat series heb kan je deze toevoegen in Sonarr door te Klikken op Import Extisting series On Disk.

sonnar-map

Klik op het blauwe mapje en selecteer de map waar je bestaande series staan en klik vervolgens op het groene Vinkje. Je series worden nu toegevoegd.

Sonarr mappen aanmaken voor tv series

Als eerste moeten we de mappen gaan aanmaken waar de tv series worden bewaard.

Open een tweede Tablad in je browser en ga naar de webpagina van je nas http://je-ip-adres-nas:5000

Synology-gedeeldemap

Ga naar FileStation en kies voor Maken en dan Nieuwe gedeelde map maken.

sonnar-tv-map

Geef de map een naampje en druk op OK.

synology-map-rechten

In het volgende scherm moet je de rechten nog goed zetten voor Windows apparaten. Geef je eigen gebruiksnaam en Admin lezen/schrijven rechten.

synology-lokaal-groepen

Klik nu op Lokale gebruikers en kies voor Lokale groepen. Je krijgt nu een melding dat je de wijzigingen wilt opslaan kies voor Ja. Geef in het volgende scherm de Lokaal groep Users lees/schrijf rechten anders kan Sonarr hier niks naar schrijven en nieuwe mappen aanmaken.

synology-lunix-mac-rechten

Als je kiest voor het tablad NFS Machthingen. Kan je Mac en lunix gebruikers rechten geven op deze map. Dit is  bijvoorbeeld nodig Als je een Rasberry pi hebt met Openelec om je films te bekijken.

Sonarr tv series toevoegen

Nu wordt het tijd dat we TV series gaan toevoegen in Sonarr. Ga weer terug naar Sonarr.

sonarr-series

Ga naar Series.

sonarr-serie-toevoegen

Klik op Add Series

sonarr-tvshow

Geef hier de naam op van de serie.

sonarr-serie-toevoegen

Als de gewenste serie is gevonden kies bij Path Add a difrent path en geef de locatie op waar de serie moet worden opgeslagen. Let goed op dat je het gewenste profiel hebt geselecteerd die heb je zelf aangepast of gemaakt.

Sonarr gaat nu je serie opzoeken via de Newznab sites die jij hebt opgegeven. Vervolgens download NZBGet je tv serie en Sonarr zet deze weg in de juiste map.

246 0

Sonarr verbinding maken met NZBGet Synology

In deze handleiding “Sonarr verbinding maken met NZBGet Synology” gaan we een verbinding maken vanuit Sonarr naar NZBget. Zodat Sonarr de juiste informatie verzend naar NZBGet om je tv series te downloaden.

NZGet instellingen

Open je Browser en open vervolgens NZBGet.

Ga naar Settings En vervolgens naar Categories.

nzbget-tv-category

Bewerk hier een Categorie naar tv of voeg een nieuwe toe zolang deze maar tv heet!

Sonarr instellingen

Nu gaan we naar Sonarr.

sonnar-settings

Ga naar Settings kies voor tablad Download Client.

sonarr-downloadclient-torrent-toevoegen

Klik op het Plusje  en klik vervolgens op NZBGet.

Nu moet je hier de gegevens invullen van NZBGet.

Host Localhost

Poort Ik heb deze staan op 8085. Maar standaard is deze 6789 Je kan het poort nummer ook zien als je NZBGet opent in je browser dat is het getal na de dubbele punt:

Username Gebruikersnaam van NZBGet.

Password Wachtwoord van NZBGet.

Category tv

Recent Priority High

Older Priority Very High dit omdat het lastiger is om oude afleveringen te downloaden in vergelijking met recente afleveringen.

Als je alles hebt ingevuld klik op Test. Als dat goed is gegaan klik je op Save. Zo niet dan moet je de instellingen nog eens nalopen van NZBGEt en zorg dat NZBGet aanstaat natuurlijk.

Je hebt nu een verbinding vanuit Sonarr naar NZBGet.

219 0

SABnzbd bekende problemen

Op deze pagina staat een overzicht van SABnzbd  bekende problemen. Mis je iets plaats een gerust een berichtje hier onder. Misschien kunnen we je helpen met SABnzbd.

Unpacking failed File to long

Je krijgt deze melding als het pad te lang is. Echt alles telt mee spaties puntjes enzovoorts. Bijvoorbeeld “c:\downloads\sabznbd\film\uitegpaktefilm\film\film.avi” Dit mag maximaal 265 karakters zijn. Dus niet te diep je downloads laten wegschrijven.

Paused job “…” because of encrypted RAR file

Er zit een wachtwoord op je download geef het wachtwoord op. Of probeer wat anders te downloaden.

WAARSCHUWING:   unzip programma niet gevonden!

Ga in SABnzbd naar Instellingen en dan Post processing. Zet hier de volgende vinkjes aan:

Enable Unrar

Unzip

7zip

Probeer het opnieuw te downloaden.

Abort Download After X Missing Articles

De download is niet goed geüpload of hij is niet goed aangekomen bij je nieuwsserver. Wat je kan proberen is op een later tijdstip nog eens of extra back-up nieuwsservers toevoegen.

Synology SABnzbd problemen

Deze problemen doen zich alleen voor als je een Synology NAS hebt.

Kan pakket service niet uitvoeren SABnzbd

Je kan kan deze melding krijg bij een nieuwe installatie van SABnzbd. Zie SABnzbd werkend krijgen op DSM 6.

567 0